﻿/**Begin D:\PDM_UPGRADE\PDM1\CAQM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAQM_CHOOSEDGROUP')
 CREATE TABLE T_CAQM_CHOOSEDGROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICAPRANKENTRY' AND KSQL_COL_NAME ='FISSELFASSESS')
 ALTER TABLE T_CAQM_QUALICAPRANKENTRY ADD (FISSELFASSESS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICAPRANKENTRY' AND KSQL_COL_NAME ='FISEXAMINERASSESS')
 ALTER TABLE T_CAQM_QUALICAPRANKENTRY ADD (FISEXAMINERASSESS CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICAPRANKENTRY' AND KSQL_COL_NAME ='FROOTGROUPID')
 ALTER TABLE T_CAQM_QUALICAPRANKENTRY ADD (FROOTGROUPID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICAPRANKENTRY' AND KSQL_COL_NAME ='FGROUPINHERITPATH')
 ALTER TABLE T_CAQM_QUALICAPRANKENTRY ADD (FGROUPINHERITPATH VARCHAR(255) DEFAULT ' ' NOT NULL );


 EXEC p_AlterColumn 'T_CAQM_QUALICERTENTRY', 'FISLIMITEXDATE', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

 EXEC p_AlterColumn 'T_CAQM_QUALICERTENTRY', 'FISDIRECTAPPLY', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

 EXEC p_AlterColumn 'T_CAQM_QUALICERTENTRY', 'FISLIMITLOWTENURE', 'CHAR(1)', 'NOT NULL', '0001', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICERTENTRY' AND KSQL_COL_NAME ='FASSESSFORMVID')
 ALTER TABLE T_CAQM_QUALICERTENTRY ADD (FASSESSFORMVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICERTENTRY' AND KSQL_COL_NAME ='FDESCRIPTION')
 ALTER TABLE T_CAQM_QUALICERTENTRY ADD (FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICERTENTRY' AND KSQL_COL_NAME ='FRULECONDITION')
 ALTER TABLE T_CAQM_QUALICERTENTRY ADD (FRULECONDITION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_QUALICERTENTRY' AND KSQL_COL_NAME ='FRULECONDITION_TAG')
 ALTER TABLE T_CAQM_QUALICERTENTRY ADD (FRULECONDITION_TAG NCLOB DEFAULT ' ' );



IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CEREXAMINEENTRY' AND KSQL_COL_NAME ='FRANKNUM')
 ALTER TABLE T_CAQM_CEREXAMINEENTRY ADD (FRANKNUM INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CEREXAMINEENTRY' AND KSQL_COL_NAME ='FSCORE')
 ALTER TABLE T_CAQM_CEREXAMINEENTRY ADD (FSCORE DECIMAL(16,9) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CEREXAMINEENTRY' AND KSQL_COL_NAME ='FOPTION')
 ALTER TABLE T_CAQM_CEREXAMINEENTRY ADD (FOPTION VARCHAR(64) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CEREXAMINEENTRY' AND KSQL_COL_NAME ='FENTRYOPTIONID')
 ALTER TABLE T_CAQM_CEREXAMINEENTRY ADD (FENTRYOPTIONID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CERSELFASSENTRY' AND KSQL_COL_NAME ='FSELFASSRES')
 ALTER TABLE T_CAQM_CERSELFASSENTRY ADD (FSELFASSRES VARCHAR(64) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CERSELFASSENTRY' AND KSQL_COL_NAME ='FSELFASSRESVALUE')
 ALTER TABLE T_CAQM_CERSELFASSENTRY ADD (FSELFASSRESVALUE DECIMAL(16,9) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAQM_CERSELFASSENTRY' AND KSQL_COL_NAME ='FRANKNUM')
 ALTER TABLE T_CAQM_CERSELFASSENTRY ADD (FRANKNUM INT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\CAQM_table.sql **/
